#!/bin/sh
# Script to automatically configure the 1920 touchscreen

CONFIG="/boot/config.txt"

#If a line containing "max_usb_current=1" exists
if grep -Fq "max_usb_current=1" $CONFIG
then
	#Removing all lines after max_usb_current, including that line
	echo "Erasing the 1080 touchscreen config..."
	sed -i '/max_usb_current=1/,$d' $CONFIG
	echo "Successful"
	echo "Adding the new configuration for the 1920 touchscreen..."
	echo "hdmi_group=2" >> $CONFIG
	echo "hdmi_mode=82" >> $CONFIG
	echo "hdmi_cvt 1920 1080 60 6 0 0 0" >> $CONFIG
	echo "Successful"
	echo "Install complete, rebooting..."
	sleep 5
	reboot
else
	echo "The config.txt file is not as configured by default or it is missing, this script won't execute. Try changing the config manually using the command: sudo nano /boot/config.txt"
fi